Description

Background:

I've heard a few people ask how to run a "default action" when they click on a feature, instead of using the identify tool, then expanding the

+ next to Actions and double-clicking on the desired Action.

I thought it might be possible to achieve this using an "Init function", but as far as I can tell this isn't possible without also showing a

dialogue.

Suggestion:

The "(Actions)" group in the "Identify Results" window lists "Edit feature form" along with any custom actions.  If "Settings->Options->Map

tools->Identify->Open feature form..." is enabled, when you click on a single feature with the Identify tool, the "Edit feature form" action is

performed.

Why not change the option from "Open feature form..." to "Run default action if a single feature is identified"?

The vector "Layer Properties" dialogue would need to be modified to provide a way to specify the "default action".  I think it would be best

to do this on the "Actions tab", in which case "Edit feature form" would need to be included in the "Action list".

Additional possibilities:

"Edit ui" and "Init function" could be moved from the "General" tab of the "Layer Properties" dialogue into the "Actions" tab, and there could

be the possibility to have more than one "Edit feature form" action for the same layer.

N.B. if you think there is not enough space on the "Actions tab, the suggestions in #4211 would free up enough space.

Related suggestions:

#119

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-01-10 11:26 PM - Paolo Cavallini

- Assignee set to Giuseppe Sucameli

#3 - 2012-01-11 07:17 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Should be fixed in commit:acc1d558f5 (see also #119)
